#!/bin/bash
## Ex: ./day2operations.sh -v mini-deb-bkb-edge-tun -i ssh-tunneling.png

## Aliasing
vbm='/usr/local/bin/VBoxManage'
srp='/Users/admin/usr/vlu'
etc=$(echo $srp'/etc')
log=$(echo $srp'/logs/day2operations.log')

DATE=$(date); echo $DATE >> $log
ICO_BASE_PATH='/Users/admin/vbox/vm_ico/'


POSITIONAL=()
while [[ $# -gt 0 ]]; do
  key="$1"

  case $key in
    -m|--modifyvm)
      VMNAME="$2"
      shift # past argument
      shift # past value
      ;;
    -i|--icon)
      ICON="$2"
      shift # past argument
      shift # past value
      ;;
    -v|--vmName)
      VMNAME="$2"
      shift # past argument
      shift # past value
      ;;
    -M|--macAddr)
      MACADDR="$2"
      shift # past argument
      shift # past value
      ;;
    -N|--vnic)
      VNIC="$2"
      shift # past argument
      shift # past value
      ;;
    --default)
      DEFAULT=YES
      shift # past argument
      ;;
    *)    # unknown option
      POSITIONAL+=("$1") # save it in an array for later
      shift # past argument
      ;;
  esac
done

set -- "${POSITIONAL[@]}" # restore positional parameters

if [[ $VMNAME == '' ]]; then
	exit 1;
fi

if [[ $ICON != '' ]]; then
	#/usr/local/bin/VBoxManage modifyvm mini-deb-bkb-netbalancer --iconfile /Users/admin/vbox/vm_ico/borderedgegateway.png
	__iconFP=$(echo $ICO_BASE_PATH$ICON)
	eval $vbm modifyvm $VMNAME --iconfile $__iconFP
fi

if [[ $MACADDR != '' ]]; then
	if [[ $VNIC == '' ]]; then
		VNIC='1'
	fi
	#vboxmanage modifyvm "VM Name" --macaddress "address"
	eval $vbm modifyvm $VMNAME --macaddress$VNIC $MACADDR
fi
